=== UI/CMakeLists.txt ===
add_subdirectory(CombatReport)

target_sources(freeorion
    PUBLIC
        ${CMAKE_CURRENT_LIST_DIR}/About.h
        ${CMAKE_CURRENT_LIST_DIR}/AccordionPanel.h
        ${CMAKE_CURRENT_LIST_DIR}/BuildDesignatorWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/BuildingsPanel.h
        ${CMAKE_CURRENT_LIST_DIR}/CensusBrowseWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/ChatWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/ClientUI.h
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/CombatLogWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/CombatReportData.h
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/CombatReportWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/GraphicalSummary.h
        ${CMAKE_CURRENT_LIST_DIR}/CUIControls.h
        ${CMAKE_CURRENT_LIST_DIR}/CUIDrawUtil.h
        ${CMAKE_CURRENT_LIST_DIR}/CUILinkTextBlock.h
        ${CMAKE_CURRENT_LIST_DIR}/CUISlider.h
        ${CMAKE_CURRENT_LIST_DIR}/CUISpin.h
        ${CMAKE_CURRENT_LIST_DIR}/CUIStyle.h
        ${CMAKE_CURRENT_LIST_DIR}/CUIWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/DesignWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/EncyclopediaDetailPanel.h
        ${CMAKE_CURRENT_LIST_DIR}/FieldIcon.h
        ${CMAKE_CURRENT_LIST_DIR}/FleetButton.h
        ${CMAKE_CURRENT_LIST_DIR}/FleetWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/GalaxySetupWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/GovernmentWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/GraphControl.h
        ${CMAKE_CURRENT_LIST_DIR}/Hotkeys.h
        ${CMAKE_CURRENT_LIST_DIR}/IconTextBrowseWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/InGameMenu.h
        ${CMAKE_CURRENT_LIST_DIR}/IntroScreen.h
        ${CMAKE_CURRENT_LIST_DIR}/LinkText.h
        ${CMAKE_CURRENT_LIST_DIR}/MapWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/MeterBrowseWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/MilitaryPanel.h
        ${CMAKE_CURRENT_LIST_DIR}/ModeratorActionsWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/MultiIconValueIndicator.h
        ${CMAKE_CURRENT_LIST_DIR}/MultiMeterStatusBar.h
        ${CMAKE_CURRENT_LIST_DIR}/MultiplayerLobbyWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/ObjectListWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/OptionsWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/PasswordEnterWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/PlayerListWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/PopulationPanel.h
        ${CMAKE_CURRENT_LIST_DIR}/ProductionWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/QueueListBox.h
        ${CMAKE_CURRENT_LIST_DIR}/ResearchWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/ResourceBrowseWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/ResourcePanel.h
        ${CMAKE_CURRENT_LIST_DIR}/SaveFileDialog.h
        ${CMAKE_CURRENT_LIST_DIR}/SDLGUI.h
        ${CMAKE_CURRENT_LIST_DIR}/ServerConnectWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/ShaderProgram.h
        ${CMAKE_CURRENT_LIST_DIR}/SidePanel.h
        ${CMAKE_CURRENT_LIST_DIR}/SitRepPanel.h
        ${CMAKE_CURRENT_LIST_DIR}/Sound.h
        ${CMAKE_CURRENT_LIST_DIR}/SpecialsPanel.h
        ${CMAKE_CURRENT_LIST_DIR}/SystemIcon.h
        ${CMAKE_CURRENT_LIST_DIR}/SystemResourceSummaryBrowseWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/TechTreeArcs.h
        ${CMAKE_CURRENT_LIST_DIR}/TechTreeLayout.h
        ${CMAKE_CURRENT_LIST_DIR}/TechTreeWnd.h
        ${CMAKE_CURRENT_LIST_DIR}/TextBrowseWnd.h
    PRIVATE
        ${CMAKE_CURRENT_LIST_DIR}/About.cpp
        ${CMAKE_CURRENT_LIST_DIR}/AccordionPanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/BuildDesignatorWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/BuildingsPanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CensusBrowseWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ChatWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ClientUI.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/CombatLogWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/CombatReportData.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/CombatReportWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CombatReport/GraphicalSummary.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CUIControls.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CUIDrawUtil.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CUILinkTextBlock.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CUIStyle.cpp
        ${CMAKE_CURRENT_LIST_DIR}/CUIWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/DesignWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/EncyclopediaDetailPanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/FieldIcon.cpp
        ${CMAKE_CURRENT_LIST_DIR}/FleetButton.cpp
        ${CMAKE_CURRENT_LIST_DIR}/FleetWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/GalaxySetupWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/GovernmentWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/GraphControl.cpp
        ${CMAKE_CURRENT_LIST_DIR}/Hotkeys.cpp
        ${CMAKE_CURRENT_LIST_DIR}/IconTextBrowseWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/InGameMenu.cpp
        ${CMAKE_CURRENT_LIST_DIR}/IntroScreen.cpp
        ${CMAKE_CURRENT_LIST_DIR}/LinkText.cpp
        ${CMAKE_CURRENT_LIST_DIR}/MapWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/MeterBrowseWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/MilitaryPanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ModeratorActionsWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/MultiIconValueIndicator.cpp
        ${CMAKE_CURRENT_LIST_DIR}/MultiMeterStatusBar.cpp
        ${CMAKE_CURRENT_LIST_DIR}/MultiplayerLobbyWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ObjectListWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/OptionsWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/PasswordEnterWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/PlayerListWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/PopulationPanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ProductionWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/QueueListBox.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ResearchWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ResourceBrowseWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ResourcePanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/SaveFileDialog.cpp
        ${CMAKE_CURRENT_LIST_DIR}/SDLGUI.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ServerConnectWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/ShaderProgram.cpp
        ${CMAKE_CURRENT_LIST_DIR}/SidePanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/SitRepPanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/Sound.cpp
        ${CMAKE_CURRENT_LIST_DIR}/SpecialsPanel.cpp
        ${CMAKE_CURRENT_LIST_DIR}/SystemIcon.cpp
        ${CMAKE_CURRENT_LIST_DIR}/SystemResourceSummaryBrowseWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/TechTreeArcs.cpp
        ${CMAKE_CURRENT_LIST_DIR}/TechTreeLayout.cpp
        ${CMAKE_CURRENT_LIST_DIR}/TechTreeWnd.cpp
        ${CMAKE_CURRENT_LIST_DIR}/TextBrowseWnd.cpp
)
