=== debian/changelog ===
freeorion (0.5.0.1-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Mar 2024 13:56:35 -0700

freeorion (0.5+git20230820-4mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 27 Nov 2023 12:45:29 -0800

freeorion (0.5+git20230820-4) unstable; urgency=medium

  * Override freeorion's compiler optimization flags. Try to use less
    optimization to fix memory exhaustion.

 -- Markus Koschany <apo@debian.org>  Fri, 01 Sep 2023 12:46:12 +0200
